> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# DeleteUser

> IXtfUserClient::DeleteUser

# IXtfUserClient::DeleteUser

이메일 주소로 지정된 사용자를 콘솔에서 제거합니다.

## Syntax

```cpp theme={null}
public:
HRESULT DeleteUser(
         LPCWSTR userName
)  
```

### Parameters

*userName*\
Type: LPCWSTR

콘솔에 사용자를 추가하는 데 사용된 이메일 주소입니다.

### Return value

Type: HRESULT

HRESULT 성공 또는 오류 코드.

## Remarks

사용자가 콘솔에 로그인되어 있는 경우, 사용자는 제거되기 전에 로그아웃됩니다.

사용자 ID를 지정하여 사용자를 삭제하려면 [DeleteUserId](https://docs.xbox.com/ko/reference/tools/xtf/xtfuser/classes/IXtfUserClient/methods/deleteuserid-ixtfuserclient-xtfuser-xbox-windows-m.md)를 사용하세요.

모든 사용자를 삭제하려면 [DeleteAllUsers](https://docs.xbox.com/ko/reference/tools/xtf/xtfuser/classes/IXtfUserClient/methods/deleteallusers-ixtfuserclient-xtfuser-xbox-windows-m.md)를 사용하세요.

사용자를 추가하려면 [AddUser](https://docs.xbox.com/ko/reference/tools/xtf/xtfuser/classes/IXtfUserClient/methods/adduser-ixtfuserclient-xtfuser-xbox-windows-m.md)를 사용하세요.

## Requirements

**Header:** xtfuser.h

**Library:** xtfuser.lib

**Supported platforms:** Windows(XBOX 콘솔 도구용)

## See also

[IXtfUserClient interface](https://docs.xbox.com/ko/reference/tools/xtf/xtfuser/classes/IXtfUserClient/ixtfuserclient-xtfuser-xbox-windows-t.md)


## Related topics

- [DeleteUserId](https://docs.xbox.com/ko/reference/tools/xtf/xtfuser/classes/IXtfUserClient/methods/deleteuserid-ixtfuserclient-xtfuser-xbox-windows-m.md)
- [DeleteAllUsers](https://docs.xbox.com/ko/reference/tools/xtf/xtfuser/classes/IXtfUserClient/methods/deleteallusers-ixtfuserclient-xtfuser-xbox-windows-m.md)
- [PlayFab 릴리스 노트 2018](https://docs.xbox.com/ko/services/playfab/release-notes/2018.md)
- [IXtfUserClient 인터페이스(인터페이스 목차)](https://docs.xbox.com/ko/reference/tools/xtf/xtfuser/classes/IXtfUserClient/ixtfuserclient-xtfuser-xbox-windows-t.md)
- [DELETE /users/xuid(xuid)/lists/PINS/{listname}/RemoveItems](https://docs.xbox.com/ko/reference/live/rest/uri/lists/uri-usersxuidlistspinslistnameremoveitemsdelete.md)
